# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /var/folders/sy/f16zz6x50xz3113nwtb9bvq00000gp/T/abs_11bsjesvl3/clone/recipe, last modified Fri Apr 26 01:33:45 2024
# ------------------------------------------------

package:
  name: lightgbm
  version: 4.3.0
source:
  sha256: 006f5784a9bcee43e5a7e943dc4f02de1ba2ee7a7af1ee5f190d383f3b6c9ebe
  url: https://pypi.io/packages/source/l/lightgbm/lightgbm-4.3.0.tar.gz
build:
  missing_dso_whitelist:
    - '*/libc++.1.dylib'
  number: '0'
  script: /var/folders/sy/f16zz6x50xz3113nwtb9bvq00000gp/T/abs_11bsjesvl3/croot/lightgbm_1714113233056/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_place/bin/python
    -m pip install . --no-deps --no-build-isolation -vv -Ccmake.define.CMAKE_GENERATOR="Ninja"
  string: py38hcec6c5f_0
requirements:
  build:
    - bzip2 1.0.8 h6c40b1e_5
    - c-ares 1.19.1 h6c40b1e_0
    - ca-certificates 2024.3.11 hecd8cb5_0
    - cctools_osx-64 949.0.1 hc7db93f_25
    - clang 14.0.6 hecd8cb5_1
    - clang-14 14.0.6 default_hd95374b_1
    - clang_osx-64 14.0.6 hb1e4b1b_0
    - clangxx 14.0.6 default_hd95374b_1
    - clangxx_osx-64 14.0.6 hd8b9576_0
    - cmake 3.26.4 hbb7d193_0
    - compiler-rt 14.0.6 hda8b6b8_0
    - compiler-rt_osx-64 14.0.6 h8d5cb93_0
    - expat 2.6.2 hcec6c5f_0
    - krb5 1.20.1 h428f121_1
    - ld64_osx-64 530 h70f3046_25
    - ldid 2.1.5 hc58f1be_3
    - libclang-cpp14 14.0.6 default_hd95374b_1
    - libcurl 8.5.0 hf20ceda_0
    - libcxx 14.0.6 h9765a3e_0
    - libedit 3.1.20230828 h6c40b1e_0
    - libev 4.33 h9ed2024_1
    - libffi 3.4.4 hecd8cb5_0
    - libllvm14 14.0.6 h91fad77_3
    - libnghttp2 1.57.0 h9beae6a_0
    - libssh2 1.10.0 h04015c4_2
    - libuv 1.44.2 h6c40b1e_0
    - llvm-tools 14.0.6 he0576d7_3
    - lz4-c 1.9.4 hcec6c5f_0
    - ncurses 6.4 hcec6c5f_0
    - ninja 1.10.2 hecd8cb5_5
    - ninja-base 1.10.2 haf03e11_5
    - openssl 3.0.13 hca72f7f_0
    - python 3.12.3 hd58486a_0
    - readline 8.2 hca72f7f_0
    - rhash 1.4.3 h04015c4_0
    - sqlite 3.41.2 h6c40b1e_0
    - tapi 1000.10.8 ha1b3eb9_0
    - tk 8.6.12 h5d9f67b_0
    - tzdata 2024a h04d1e81_0
    - xz 5.4.6 h6c40b1e_0
    - zlib 1.2.13 h4dc903c_0
    - zstd 1.5.5 hc035e20_0
  host:
    - blas 1.0 openblas
    - ca-certificates 2024.3.11 hecd8cb5_0
    - exceptiongroup 1.2.0 py38hecd8cb5_0
    - importlib_resources 6.1.1 py38hecd8cb5_1
    - libcxx 14.0.6 h9765a3e_0
    - libffi 3.4.4 hecd8cb5_0
    - llvm-openmp 14.0.6 h0dcd299_0
    - ncurses 6.4 hcec6c5f_0
    - openssl 3.0.13 hca72f7f_0
    - packaging 23.2 py38hecd8cb5_0
    - pathspec 0.10.3 py38hecd8cb5_0
    - pip 23.3.1 py38hecd8cb5_0
    - pyproject-metadata 0.7.1 py38hecd8cb5_0
    - python 3.8.19 h5ee71fb_0
    - readline 8.2 hca72f7f_0
    - scikit-build-core 0.6.1 py38h3ea8b11_1
    - setuptools 68.2.2 py38hecd8cb5_0
    - sqlite 3.41.2 h6c40b1e_0
    - tk 8.6.12 h5d9f67b_0
    - tomli 2.0.1 py38hecd8cb5_0
    - wheel 0.41.2 py38hecd8cb5_0
    - xz 5.4.6 h6c40b1e_0
    - zipp 3.17.0 py38hecd8cb5_0
    - zlib 1.2.13 h4dc903c_0
  run:
    - blas=*=openblas
    - libcxx >=14.0.6
    - llvm-openmp >=14.0.6
    - numpy
    - python >=3.8,<3.9.0a0
    - scipy
  run_constrained:
    - cffi >=1.15.1
    - dask >=2.0.0
    - pandas >=0.24.0
    - pyarrow >=6.0.1
    - scikit-learn !=0.22.0
test:
  commands:
    - pip check
  imports:
    - lightgbm
  requires:
    - pip
    - scikit-learn
about:
  description: 'A fast, distributed, high performance gradient boosting (GBDT, GBRT,
    GBM or MART) framework

    based on decision tree algorithms, used for ranking, classification and many other
    machine learning tasks.

    '
  dev_url: https://github.com/Microsoft/LightGBM
  doc_url: https://lightgbm.readthedocs.io
  home: https://github.com/Microsoft/LightGBM
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: LightGBM is a gradient boosting framework that uses tree based learning
    algorithms.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 115b3f4f-8031-4e1e-9e78-0e5b279cefcd
  recipe-maintainers:
    - aldanor
    - synapticarbors
    - xhochy
  remote_url: git@github.com:AnacondaRecipes/lightgbm-feedstock.git
  sha: 640887b6db838d0dba3ab762944f09a18688de05
